---
updatedAt: 2026-06-16T18:46:24.000Z
agentTools:
  siteIndex: https://developer.jamf.com/llms.txt
  projectIndex: https://developer.jamf.com/jamf-pro/llms.txt
---

# Updates an existing class by name

The mobile device list is not used by this operation, the mobile device group is used instead.

```xml Sample Request Body
<class>
	<source>N/A</source>
	<name>Math 101</name>
	<description>string</description>
	<site>
		<id>-1</id>
		<name>None</name>
	</site>
	<meeting_times>
		<meeting_time>
			<days>M W F</days>
			<start_time>1300</start_time>
			<end_time>1345</end_time>
		</meeting_time>
	</meeting_times>
</class>
```

# OpenAPI definition

```json
{
  "openapi": "3.0.0",
  "info": {
    "version": "11.32.0",
    "title": "Classic API",
    "license": {
      "name": "Jamf API License Agreement",
      "url": "https://developer.jamf.com/developer-guide/docs/api-license-agreement"
    }
  },
  "security": [
    {
      "basicAuth": []
    }
  ],
  "x-readme": {
    "samples-languages": [
      "curl",
      "swift",
      "ruby",
      "python"
    ],
    "explorer-enabled": false
  },
  "paths": {
    "/classes/name/{name}": {
      "put": {
        "x-explorer-enabled": false,
        "tags": [
          "classes"
        ],
        "summary": "Updates an existing class by name",
        "description": "The mobile device list is not used by this operation, the mobile device group is used instead.",
        "operationId": "updateClassByName",
        "parameters": [
          {
            "name": "name",
            "in": "path",
            "required": true,
            "description": "Name value to filter by",
            "schema": {
              "type": "string"
            }
          }
        ],
        "responses": {
          "200": {
            "description": "OK"
          }
        }
      }
    }
  },
  "servers": [
    {
      "url": "https://yourServer.jamfcloud.com/JSSResource"
    }
  ],
  "components": {
    "securitySchemes": {
      "basicAuth": {
        "type": "http",
        "scheme": "basic"
      }
    }
  }
}
```